:root {
    /* Colors */
    --color-dark: #535362;
    --c-dark-hover: #3a4252;
    --c-white-hover: #f0f0f5;
}

.container {
    padding: 0 46px;
}

.programs__grid {
    padding: 1rem;
    gap: 2.4rem;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
}

.programs__grid-item {
    padding: 0;
    width: auto;
}

.product-card {
    max-width:  39.40rem;
}

.product-card__image {
    height: clamp(17.70rem, calc(5.400rem + 8.542vw), 21.80rem);
}

.product-card__content {
    padding: 2.4rem;
    justify-content: space-between;
}
/*.product-card__content > div:first-child {*/
/*    display: flex;*/
/*    flex-direction: column;*/
/*    justify-content: space-between;*/
/*    margin-bottom: 2rem;*/
/*}*/
.product-card__tag-block {
    margin: 0 0 0.8rem 0;
    /*min-height: 7.6rem;*/
    gap: 1rem;
}

.product-card__title {
    font-size: 2rem;
    color: var(--color-dark);
    line-height: 1.3;
    margin-bottom: 2rem;
    flex-grow: 1;
}

.product-card__tag.tag {
    margin: 0;
    padding: 3px 5px;
}

.product-card__speaker-block {
    margin-bottom: 2rem;
}

.speaker-block__value {
    font-size: 1.6rem;
    line-height: 1;
    font-weight: 700;
    color: var(--color-dark);
}

.speaker-block__name {
    font-size: 1.6rem;
    line-height: 1.2;
    font-weight: 400;
    color: var(--color-dark);
    margin-top: 0.8rem;
}

.product-card__date {
    height: auto;
    background-color: white;
    margin: 0 0 0 0;
    padding: 0 0 0 0;
    display: flex;
    flex-wrap: wrap;
}

.product-card__date-name, .product-card__date-value {
    font-size: 1.4rem;
    line-height: 2rem;
    font-weight: 400;
    color: var(--color-dark);
}

.product-card__btn.btn.btn-new-gray {
    background-color: var(--color-dark);
    font-size: 1.8rem;
    font-weight: 400;
    line-height: 1.22;
}

.speaker-block {
    justify-content: space-between;
}

.speaker-block__content {
    margin-right: 0.8rem;
}

.product-card__btn.btn.btn-new-gray:hover {
    background-color: var(--c-dark-hover);
    color: var(--c-white-hover);
}

.product-card__price-block {
    gap: 0.5rem;
}

.product-card__price-block, .product-card__date-name, .product-card__date-value, .product-card__btn {
    margin: 0;
}


.programs__empty.filter-empty {
    font-weight: 400;
    font-size: 2.2rem;
    line-height: 2.8rem;
    width: 100%;
    text-align: center;
}

@media (max-width: 1440px) {

    .product-card {
        max-width: 31.90rem;
    }

    .product-card__image {
        height: clamp(15.40rem, calc(-3.000rem + 14.375vw), 17.70rem);
    }

    .product-card__tag.tag {
        font-size: 1.4rem;
    }

    .product-card__title {
        font-size: 1.8rem;
    }

    .speaker-block__value {
        font-size: 1.4rem;
        line-height: 1.2;
    }
    .speaker-block__name {
        font-size: 1.4rem;
    }

    .speaker-block__img, .speaker-block__img img {
        width: 5rem;
        height: 5rem;
    }

}

@media (max-width: 1280px) {

    .product-card {
        max-width: 29.50rem;

    }

    .product-card__image {
        height: clamp(15.40rem, calc(20.400rem + -3.906vw), 16.40rem);
    }


    .product-card__title {
        font-size: 1.6rem;
    }

    .speaker-block__name {
        font-size: 1.4rem;
    }

    .speaker-block__value {
        line-height: 1;
    }

    .product-card__date-name, .product-card__date-value {
        font-size: 1.2rem;
        line-height: 1.2;
    }

}

@media (max-width: 1024px) {
    .programs__grid {
        grid-template-columns: repeat(3, 1fr);
    }

    .product-card {
        max-width: 32.60rem;
        flex-direction: column;
    }

    .product-card__image {
        height: clamp(16.40rem, calc(23.200rem - 6.641vw), 18.10rem);
        width: 100%;
    }

    .product-card__title {
        font-size: 1.4rem;
    }

    .product-card__price-block {
        -webkit-box-pack: justify;
        -ms-flex-pack: justify;
        justify-content: space-between;
    }

}

@media (max-width: 768px) {

    .programs__grid {
        grid-template-columns: repeat(2, 1fr);
    }

    .product-card {
        max-width: 32.60rem;
    }

    .product-card__image {
        height: clamp(16.10rem, calc(14.671rem + 4.464vw), 18.10rem);
    }

    .product-card__date {
        flex-direction: column;
        gap: 0.5rem;
    }

}

@media (max-width: 767px) {
    .container {
        padding: 0 15px;
    }
    .product-card__price-block {
        justify-content: space-between;
    }
    .product-card__speaker-block .speaker-block__img {
        display: flex;
    }
}


@media (max-width: 480px) {
    .programs__grid {
        grid-template-columns: repeat(1, 1fr);
    }
}

@media (max-width: 320px) {

    .product-card__content {
        padding: 1.6rem;
    }

    .product-card__title, .product-card__speaker-block {
        margin-bottom: 1.2rem;
    }

    .product-card__btn.btn.btn-new-gray {
        font-size: 1.4rem;
    }
}